Refresh a signed audio URL (unified)
curl --request GET \
--url https://api.sunbird.ai/tasks/audio/speech/url \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sunbird.ai/tasks/audio/speech/url"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sunbird.ai/tasks/audio/speech/url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"audio_url": "<string>",
"audio_url_expires_at": "2023-11-07T05:31:56Z",
"gcs_object": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Text to Speech
Refresh Audio URL
Generate a fresh signed URL for an existing audio object in GCS (e.g. a previously synthesized speech file whose signed URL has expired). Replaces /tasks/modal/tts/refresh-url.
GET
/
tasks
/
audio
/
speech
/
url
Refresh a signed audio URL (unified)
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
GCS object name to re-sign (e.g. 'orpheus_tts/.../x.wav').

